Index: kernel/user/forgotpassword.php
===================================================================
--- kernel/user/forgotpassword.php	(revision 24945)
+++ kernel/user/forgotpassword.php	(working copy)
@@ -30,8 +30,8 @@
 */
 
 
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( 'generated', false );
 $tpl->setVariable( 'wrong_email', false );
 $tpl->setVariable( 'link', false );
@@ -72,13 +72,13 @@
             eZUserOperationCollection::password( $userID, $newPassword );
         }
 
-        require_once( "kernel/common/template.php" );
+        
         $receiver = $email;
         $mail = new eZMail();
         if ( !$mail->validate( $receiver ) )
         {
         }
-        $tpl = templateInit();
+        $tpl = eZTemplate::instanceInit();
 
         $tpl->setVariable( 'user', $userToSendEmail );
         $tpl->setVariable( 'object', $userToSendEmail->attribute( 'contentobject' ) );
@@ -155,14 +155,14 @@
             }
 
             $userToSendEmail = $user;
-            require_once( "kernel/common/template.php" );
+            
             $receiver = $email;
 
             $mail = new eZMail();
             if ( !$mail->validate( $receiver ) )
             {
             }
-            $tpl = templateInit();
+            $tpl = eZTemplate::instanceInit();
             $tpl->setVariable( 'user', $userToSendEmail );
             $tpl->setVariable( 'object', $userToSendEmail->attribute( 'contentobject' ) );
             $tpl->setVariable( 'password', $password );
Index: kernel/user/login.php
===================================================================
--- kernel/user/login.php	(revision 24945)
+++ kernel/user/login.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 //$Module->setExitStatus( EZ_MODULE_STATUS_SHOW_LOGIN_PAGE );
 
 $Module = $Params['Module'];
@@ -306,7 +306,7 @@
         $userIsNotAllowedToLogin = true;
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'login', $userLogin, 'User' );
 $tpl->setVariable( 'post_data', $postData, 'User' );
Index: kernel/user/password.php
===================================================================
--- kernel/user/password.php	(revision 24945)
+++ kernel/user/password.php	(working copy)
@@ -145,8 +145,8 @@
 
 $Module->setTitle( "Edit user information" );
 // Template handling
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( "module", $Module );
 $tpl->setVariable( "http", $http );
 $tpl->setVariable( "userID", $UserID );
Index: kernel/user/register.php
===================================================================
--- kernel/user/register.php	(revision 24945)
+++ kernel/user/register.php	(working copy)
@@ -44,8 +44,8 @@
 $Params['TemplateName'] = "design:user/register.tpl";
 $EditVersion = 1;
 
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( 'view_parameters', $viewParameters );
 
 $Params['TemplateObject'] = $tpl;
@@ -210,9 +210,9 @@
             if ( !$mail->validate( $receiver ) )
             {
             }
-            require_once( "kernel/common/template.php" );
+            
             $ini = eZINI::instance();
-            $tpl = templateInit();
+            $tpl = eZTemplate::instanceInit();
             $tpl->setVariable( 'user', $user );
             $tpl->setVariable( 'object', $object );
             $hostname = eZSys::hostname();
Index: kernel/user/setting.php
===================================================================
--- kernel/user/setting.php	(revision 24945)
+++ kernel/user/setting.php	(working copy)
@@ -89,8 +89,8 @@
 
 $Module->setTitle( "Edit user settings" );
 // Template handling
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( "module", $Module );
 $tpl->setVariable( "http", $http );
 $tpl->setVariable( "userID", $UserID );
Index: kernel/user/success.php
===================================================================
--- kernel/user/success.php	(revision 24945)
+++ kernel/user/success.php	(working copy)
@@ -28,8 +28,8 @@
 $Module = $Params['Module'];
 $Module->setTitle( "Successful registration" );
 // Template handling
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( "module", $Module );
 $ini = eZINI::instance();
 $verifyUserEmail = $ini->variable( 'UserSettings', 'VerifyUserEmail' );
Index: kernel/visual/menuconfig.php
===================================================================
--- kernel/visual/menuconfig.php	(revision 24945)
+++ kernel/visual/menuconfig.php	(working copy)
@@ -31,9 +31,9 @@
 $http = eZHTTPTool::instance();
 $module = $Params['Module'];
 
-require_once( "kernel/common/template.php" );
+
 $ini = eZINI::instance();
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 if ( $module->isCurrentAction( 'SelectCurrentSiteAccess' ) )
 {
Index: kernel/visual/templatecreate.php
===================================================================
--- kernel/visual/templatecreate.php	(revision 24945)
+++ kernel/visual/templatecreate.php	(working copy)
@@ -33,9 +33,9 @@
 $overrideKeys = array( 'nodeID' => $Params['NodeID'],
                        'classID' => $Params['ClassID'] );
 
-require_once( "kernel/common/template.php" );
+
 $ini = eZINI::instance();
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 // Todo: read from siteaccess settings
 $siteAccess = $Params['SiteAccess'];
Index: kernel/visual/templateedit.php
===================================================================
--- kernel/visual/templateedit.php	(revision 24945)
+++ kernel/visual/templateedit.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 $http = eZHTTPTool::instance();
 $module = $Params['Module'];
 $parameters = $Params["Parameters"];
@@ -37,7 +37,7 @@
 }
 
 $ini = eZINI::instance();
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $Result = array();
 $Result['path'] = array( array( 'url' => false,
Index: kernel/visual/templatelist.php
===================================================================
--- kernel/visual/templatelist.php	(revision 24945)
+++ kernel/visual/templatelist.php	(working copy)
@@ -44,9 +44,9 @@
         $doFiltration = true;
 }
 
-require_once( "kernel/common/template.php" );
+
 $ini = eZINI::instance();
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $siteAccess = $http->sessionVariable( 'eZTemplateAdminCurrentSiteAccess' );
 
Index: kernel/visual/templateview.php
===================================================================
--- kernel/visual/templateview.php	(revision 24945)
+++ kernel/visual/templateview.php	(working copy)
@@ -30,9 +30,9 @@
 $module = $Params['Module'];
 $parameters = $Params["Parameters"];
 
-require_once( "kernel/common/template.php" );
+
 $ini = eZINI::instance();
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $template = "";
 
Index: kernel/visual/toolbar.php
===================================================================
--- kernel/visual/toolbar.php	(revision 24945)
+++ kernel/visual/toolbar.php	(working copy)
@@ -37,7 +37,7 @@
 $currentSiteAccess = ( $Params['SiteAccess'] ) ? $Params['SiteAccess'] : false;
 $toolbarPosition = ( $Params['Position'] ) ? $Params['Position'] : false;
 
-require_once( "kernel/common/template.php" );
+
 $http = eZHTTPTool::instance();
 
 $siteini = eZINI::instance();
@@ -368,7 +368,7 @@
     $availableToolArray = $toolbarIni->variable( "Tool", "AvailableToolArray" );
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'toolbar_position', $toolbarPosition );
 $tpl->setVariable( 'tool_list', $toolList );
Index: kernel/visual/toolbarlist.php
===================================================================
--- kernel/visual/toolbarlist.php	(revision 24945)
+++ kernel/visual/toolbarlist.php	(working copy)
@@ -31,7 +31,7 @@
 /*! \file
 */
 
-require_once( "kernel/common/template.php" );
+
 $http = eZHTTPTool::instance();
 
 $currentSiteAccess = false;
@@ -64,7 +64,7 @@
 {
     $toolbarArray =  $toolbarIni->variable( "Toolbar", "AvailableToolBarArray" );
 }
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'toolbar_list', $toolbarArray );
 $tpl->setVariable( 'siteaccess_list', $siteAccessList );
Index: kernel/workflow/edit.php
===================================================================
--- kernel/workflow/edit.php	(revision 24945)
+++ kernel/workflow/edit.php	(working copy)
@@ -338,8 +338,8 @@
 $Module->setTitle( eZi18n::translate( 'kernel/workflow', 'Edit workflow' ) . ' ' . $workflow->attribute( "name" ) );
 
 // Template handling
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $res = eZTemplateDesignResource::instance();
 
Index: kernel/workflow/groupedit.php
===================================================================
--- kernel/workflow/groupedit.php	(revision 24945)
+++ kernel/workflow/groupedit.php	(working copy)
@@ -96,8 +96,8 @@
                    $workflowGroup->attribute( "name" ) );
 
 // Template handling
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $res = eZTemplateDesignResource::instance();
 $res->setKeys( array( array( "workflow_group", $workflowGroup->attribute( "id" ) ) ) ); // WorkflowGroup ID
Index: kernel/workflow/grouplist.php
===================================================================
--- kernel/workflow/grouplist.php	(revision 24945)
+++ kernel/workflow/grouplist.php	(working copy)
@@ -98,8 +98,8 @@
 }
 
 $Module->setTitle( eZi18n::translate( 'kernel/workflow', 'Workflow group list' ) );
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $user = eZUser::currentUser();
 foreach( $TemplateData as $tpldata )
Index: kernel/workflow/list.php
===================================================================
--- kernel/workflow/list.php	(revision 24945)
+++ kernel/workflow/list.php	(working copy)
@@ -58,8 +58,8 @@
 
 $Module->setTitle( 'Workflow list' );
 
-require_once( 'kernel/common/template.php' );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'workflow_list', $workflowList );
 $tpl->setVariable( 'group_list', $groupList );
Index: kernel/workflow/process.php
===================================================================
--- kernel/workflow/process.php	(revision 24945)
+++ kernel/workflow/process.php	(working copy)
@@ -54,8 +54,8 @@
 }
 
 // Template handling
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $workflow = eZWorkflow::fetch( $process->attribute( "workflow_id" ) );
 $workflowEvent = false;
Index: kernel/workflow/processlist.php
===================================================================
--- kernel/workflow/processlist.php	(revision 24945)
+++ kernel/workflow/processlist.php	(working copy)
@@ -102,8 +102,8 @@
 }
 
 // Template handling
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( "module", $Module );
 $tpl->setVariable( "trigger_list", $outList2 );
Index: kernel/workflow/run.php
===================================================================
--- kernel/workflow/run.php	(revision 24945)
+++ kernel/workflow/run.php	(working copy)
@@ -52,8 +52,8 @@
 //                       $Module->attribute( "name" ), "run" );
 
 // Template handling
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $workflow = eZWorkflow::fetch( $process->attribute( "workflow_id" ) );
 
Index: kernel/workflow/view.php
===================================================================
--- kernel/workflow/view.php	(revision 24945)
+++ kernel/workflow/view.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 
 $Module = $Params['Module'];
 $http = eZHTTPTool::instance();
@@ -59,7 +59,7 @@
 
 $event_list = $workflow->fetchEvents();
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $res = eZTemplateDesignResource::instance();
 $res->setKeys( array( array( "workflow", $workflow->attribute( "id" ) ) ) );
 
Index: kernel/workflow/workflowlist.php
===================================================================
--- kernel/workflow/workflowlist.php	(revision 24945)
+++ kernel/workflow/workflowlist.php	(working copy)
@@ -157,8 +157,8 @@
     return $Module->handleError( eZError::KERNEL_NOT_AVAILABLE, 'kernel' );
 }
 
-require_once( 'kernel/common/template.php' );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( "temp_workflow_list", $temp_list );
 $tpl->setVariable( "group_id", $WorkflowGroupID );
 $WorkflowGroupName = $WorkflowgroupInfo->attribute("name");
Index: lib/eztemplate/classes/eztemplate.php
===================================================================
--- lib/eztemplate/classes/eztemplate.php	(revision 24945)
+++ lib/eztemplate/classes/eztemplate.php	(working copy)
@@ -2326,20 +2326,55 @@
      *
      * @return eZTemplate
      */
-    static function instance()
+    public static function instance()
     {
-        if ( !isset( $GLOBALS['eZTemplateInstance'] ) )
+        if ( self::$instance === null )
         {
-            $GLOBALS['eZTemplateInstance'] = new eZTemplate();
+            self::$instance = new eZTemplate();
         }
+        return self::$instance;
+    }
+    
+    /**
+     * Returns a shared instance of the eZTemplate class with
+     * default settings applied, like:
+     * - Autoload operators loaded
+     * - Debug mode set
+     * - eZTemplateDesignResource::instance registered
+     *
+     * @since 4.3
+     * @return eZTemplate
+     */
+    public static function instanceInit()
+    {
+        if ( self::$initInstance === null )
+        {
+            self::$initInstance = self::instance();
 
-        return $GLOBALS['eZTemplateInstance'];
+            $ini = eZINI::instance();
+            if ( $ini->variable( 'TemplateSettings', 'Debug' ) == 'enabled' )
+                eZTemplate::setIsDebugEnabled( true );
+        
+            $compatAutoLoadPath = $ini->variableArray( 'TemplateSettings', 'AutoloadPath' );
+            $autoLoadPathList = $ini->variable( 'TemplateSettings', 'AutoloadPathList' );
+        
+            $extensionAutoloadPath = $ini->variable( 'TemplateSettings', 'ExtensionAutoloadPath' );
+            $extensionPathList = eZExtension::expandedPathList( $extensionAutoloadPath, 'autoloads' );
+        
+            $autoLoadPathList = array_unique( array_merge( $compatAutoLoadPath, $autoLoadPathList, $extensionPathList ) );
+        
+            self::$initInstance->setAutoloadPathList( $autoLoadPathList );
+            self::$initInstance->autoload();
+        
+            self::$initInstance->registerResource( eZTemplateDesignResource::instance() );
+        }
+        return self::$initInstance;
     }
 
     /*!
      Returns the INI object for the template.ini file.
     */
-    function ini()
+    public function ini()
     {
         return eZINI::instance( "template.ini" );
     }
@@ -2612,6 +2647,20 @@
 
     // Flag for setting compilation in test mode
     public $TestCompile;
+    
+    /**
+     * Singelton instance of eZTemplate
+     * 
+     * @var null|eZTemplate
+     */
+    protected static $instance = null;
+
+    /**
+     * Singelton instance of eZTemplate with default settings loaded and applied
+     * 
+     * @var null|eZTemplate
+     */
+    protected static $initInstance = null;
 
 //     public $CurrentRelatedResource;
 //     public $CurrentRelatedTemplateName;
Index: tests/tests/kernel/datatypes/ezxmltext/handlers/output/ezxhtmlxmloutput_regression.php
===================================================================
--- tests/tests/kernel/datatypes/ezxmltext/handlers/output/ezxhtmlxmloutput_regression.php	(revision 24945)
+++ tests/tests/kernel/datatypes/ezxmltext/handlers/output/ezxhtmlxmloutput_regression.php	(working copy)
@@ -24,7 +24,7 @@
      */
     public function testRenderParagraph()
     {
-        require_once( 'kernel/common/template.php' );
+        
 
         $XMLString = '<?xml version="1.0" encoding="utf-8"?> <section xmlns:image="http://ez.no/namespaces/ezpublish3/image/"
                     xmlns:xhtml="http://ez.no/namespaces/ezpublish3/xhtml/"
Index: tests/tests/lib/eztemplate/eztemplatetextoperator_regression.php
===================================================================
--- tests/tests/lib/eztemplate/eztemplatetextoperator_regression.php	(revision 24945)
+++ tests/tests/lib/eztemplate/eztemplatetextoperator_regression.php	(working copy)
@@ -35,11 +35,11 @@
      */
     public function testIssue15852()
     {
-        require_once( 'kernel/common/template.php' );
+        
         
         set_error_handler( 'testErrorHandler' );
         
-        $tpl = templateInit();
+        $tpl = eZTemplate::instanceInit();
         $templateDirectory = dirname( __FILE__ ) . DIRECTORY_SEPARATOR;
         
         // Static variable test
